Skip to main content
POST
/
sites
/
{id}
/
domains
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.sites.addDomain({
    id: "<id>",
    requestBody: {
      domain: "anguished-sunbeam.net",
    },
  });

  console.log(result);
}

run();
curl --request POST \
--url https://api.crevio.co/v1/sites/{id}/domains \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "<string>",
"setup_email": true
}
'
import requests

url = "https://api.crevio.co/v1/sites/{id}/domains"

payload = {
"domain": "<string>",
"setup_email": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({domain: '<string>', setup_email: true})
};

fetch('https://api.crevio.co/v1/sites/{id}/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "<string>",
  "id": "<string>",
  "domain": "<string>",
  "dns_status": "<string>",
  "verified": true,
  "managed": true,
  "verified_at": "<string>",
  "site_id": "<string>",
  "cname_target": "<string>",
  "dns_records": {},
  "created_at": "<string>"
}
{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}
{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "The requested resource was not found"
}
}
{
"error": {
"type": "validation_error",
"code": "validation_failed",
"message": "Email is required",
"errors": {
"email": [
"can't be blank"
]
}
}
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Path Parameters

id
string
required

The resource ID (e.g., "prod_abc123") or slug (e.g., "my-product")

Body

application/json
domain
string
required

The domain to connect (e.g. shop.example.com).

setup_email
boolean

Also configure outbound email on this domain.

Response

Domain connected (pending verification)

object
string
required
id
string
required
domain
string
required
status
enum<string> | null
required
Available options:
pending,
ssl_pending,
active,
error,
null
dns_status
string | null
required
verified
boolean
required
managed
boolean
required
verified_at
string | null
required
site_id
string | null
required
cname_target
string
required
dns_records
object
required
created_at
string
required